VkComponentMapping Struct Reference

`#include <vulkan.h>`

## Data Fields

VkComponentSwizzle | r
VkComponentSwizzle | g
VkComponentSwizzle | b
VkComponentSwizzle | a

## Detailed Description

Definition at line 1877 of file vulkan.h.

## Field Documentation

## a

VkComponentSwizzle VkComponentMapping::a

Definition at line 1881 of file vulkan.h.

## b

VkComponentSwizzle VkComponentMapping::b

Definition at line 1880 of file vulkan.h.

## g

VkComponentSwizzle VkComponentMapping::g

Definition at line 1879 of file vulkan.h.

## r

VkComponentSwizzle VkComponentMapping::r

Definition at line 1878 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h